#include <bits/stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    long long K, n = 0,m = 0,n1 = -1, m1 = -2;

    cin >> K;

    for(long long int i = 0; i < K%4; ++i) {
        cout << n1 << " " << m1 << endl;
        cout << n1 - 1 << " " << m1 - 1 << endl;
        cout << n1 - 2 << " " << m1 - 2 << endl;
        n1-=3;
        m1-=4;
    }

    for(long long int i = 0; i < floor((long double)K/4.); ++i) {
        cout << n << " " << m << endl;
        cout << n + 1 << " " << m + 1 << endl;
        cout << n + 2 << " " << m + 2 << endl;
        cout << n + 3 << " " << m + 3 << endl;
        n+=4;
        m+=5;
    }

    return 0;
}